Subject: RE: [Isis-wg] Protocols Supported field in pseudonode LSP

From: Les Ginsberg <[email-masked]>
Date: Mon, 26 Nov 2001 12:22:56 -0800

In addition, the information about protocols supported is available from the
non-pseudo-node LSP originated by the system which is DIS. Including such
information in a pseudo-node LSP, while certainly not invalid, is at best
redundant. (Remembering of course that a router must operate in the same
fashion in terms of protocols supported on all links.)

   Les

> -----Original Message-----
> From: Tony Li [mailto:[email-masked]]
> Sent: Monday, November 26, 2001 11:49 AM
> To: Chan, Chung Ming (Adtech ENG)
> Cc: [email-masked]'; 'Les Ginsberg'; 'Jeff 
> Learman'; Tony
> Li
> Subject: RE: [Isis-wg] Protocols Supported field in pseudonode LSP
> 
> 
> 
>  | 	Another role for the inclusion of "Protocols Supported" 
> field is to
>  | signal the other routers that the router originated the 
> LSP is IP capable (
>  | As I understood it from RFC 1195 Section 5.2, paragraph 2.) 
>  | 	Would it be from this point of view that the "Protocols 
> Supported"
>  | field is necessary since "logically" pseudo-node LSP is from the
>  | Designated-Router to all of its neighbors?
>  | The field tells all of its neighbors that it is IP capable.
> 
> 
> Well, that would certainly be one interpretation of the spec. 
>  However,
> that would seem to be less interoperable.
> 
>      "Be strict in what you send and liberal in what you receive."
> 				     - Jon Postel
> 
> Accordingly, putting a Protocols Supported field in the 
> pseudonode LSP is
> not something that I interpret as being required by the spec.
> 
> Tony
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Jeff Learman <[email-masked]>
Date: Mon, 26 Nov 2001 17:20:11 -0500

The protocols-supported option on an LSP only indicates the
status of the issuing router, not of any of the links, etc.
Therefore, it is reasonable to assume that a pseudonode LSP,
as it represents the media, supports all protocols.  The most
the issuing system could do is include all the protocols it
supports, or perhaps all the protocols that are defined at
the time of writing (since the DIS is not involved in relaying
packets between other routers on the LAN).

I think it's best to omit the option in pseudonodes, since it has
incomplete information anyway, and to ignore it in pseudonodes
during SPF.

Note that a dual router could be included in an IP-only area, and
would naturally include OSI as a supported protocol in its LSPs.
Placing that information in the pseudonode LSP is meaningless.

Regards,
Jeff

At 05:13 PM 11/26/2001, Naiming Shen wrote:

>Even if the DIS wants to stuff a Protocol-Supported field in its
>pseudo-node LSP, what should it say? should it say "some of my adjacencies
>are OSI-only, some are IP only and some are dual"? this certainly does not
>help; then it probably should say: my neighbor listed below from 1 through
>23 is IP only, 24 through 28 is dual and rest is OSI-only? in either case
>rfc1195 does not support such a protocol supported description in LSPs.
>
>Thus the DIS should just shutup and say nothing.
>
> ]In addition, the information about protocols supported is available from the
> ]non-pseudo-node LSP originated by the system which is DIS. Including such
> ]information in a pseudo-node LSP, while certainly not invalid, is at best
> ]redundant. (Remembering of course that a router must operate in the same
> ]fashion in terms of protocols supported on all links.)
> ]
> ]   Les
> ]
> ]
> ]> -----Original Message-----
> ]> From: Tony Li [mailto:[email-masked]]
> ]> Sent: Monday, November 26, 2001 11:49 AM
> ]> To: Chan, Chung Ming (Adtech ENG)
> ]> Cc: [email-masked]'; 'Les Ginsberg'; 'Jeff 
> ]> Learman'; Tony
> ]> Li
> ]> Subject: RE: [Isis-wg] Protocols Supported field in pseudonode LSP
> ]> 
> ]> 
> ]> 
> ]>  |  Another role for the inclusion of "Protocols Supported" 
> ]> field is to
> ]>  | signal the other routers that the router originated the 
> ]> LSP is IP capable (
> ]>  | As I understood it from RFC 1195 Section 5.2, paragraph 2.) 
> ]>  |  Would it be from this point of view that the "Protocols 
> ]> Supported"
> ]>  | field is necessary since "logically" pseudo-node LSP is from the
> ]>  | Designated-Router to all of its neighbors?
> ]>  | The field tells all of its neighbors that it is IP capable.
> ]> 
> ]> 
> ]> Well, that would certainly be one interpretation of the spec. 
> ]>  However,
> ]> that would seem to be less interoperable.
> ]> 
> ]>      "Be strict in what you send and liberal in what you receive."
> ]>                                  - Jon Postel
> ]> 
> ]> Accordingly, putting a Protocols Supported field in the 
> ]> pseudonode LSP is
> ]> not something that I interpret as being required by the spec.
> ]> 
> ]> Tony
> ]> 
> ]_______________________________________________
> ]Isis-wg mailing list  -  [email-masked]
> ]http://external.juniper.net/mailman/listinfo/isis-wg
>
>- Naiming

---

From: Naiming Shen <[email-masked]>
Date: Mon, 26 Nov 2001 14:13:43 -0800

- Naiming

---

From: mike shand <[email-masked]>
Date: Tue, 27 Nov 2001 08:38:19 +0000

I agree. The pseudonode information is not specific to any one router on 
the LAN (and especially not the DR). Of the two options (include ALL 
protocols, or include NO protocols and treat that as ALL), I think I prefer 
the latter. Clearly the former would work, but seems more error prone 
UNLESS there already exist implementations which check protocols supported 
in the pseudonode LSP.

         Mike